Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.gui
Interface GraphElement

All Known Implementing Classes:
  GraphElementImpl

public interface GraphElement
extends Create, CreateS, Drop, DropS

Contains a set of related data for display.. A GraphElement accumulates a related set of data for display, including attributes for the set.

Method Summary
`void` | `addX$Y(double x, double y)` Add a new data point.
`void` | `resetData()` Clear the data to be displayed.
`void` | `setColor(java.lang.String colorName)` Set the color for the element.
`void` | `setDashes(int dashesVal)` Set the dash style, 0 means solid.
`void` | `setLabel(java.lang.String label)` Set the label for the element.
`void` | `setSymbol(java.lang.String symbol)` Set the symbol for the element.
`void` | `setSymbolSize(int size)` Set the symbol size in pixels.
`java.lang.Object` | `setWidth(int w)` Set the line width of the element.

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### setLabel

    public void setLabel(java.lang.String label)

  Set the label for the element.

### setColor

    public void setColor(java.lang.String colorName)

  Set the color for the element.

### setDashes

    public void setDashes(int dashesVal)

  Set the dash style, 0 means solid.

### setSymbol

    public void setSymbol(java.lang.String symbol)

  Set the symbol for the element.

### setSymbolSize

    public void setSymbolSize(int size)

  Set the symbol size in pixels.

### addX$Y

    public void addX$Y(double x,
                       double y)

  Add a new data point.

### resetData

    public void resetData()

  Clear the data to be displayed.

### setWidth

    public java.lang.Object setWidth(int w)

  Set the line width of the element.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD